# -*- coding: utf-8 -*-
"""
Created on Mon Aug 13 00:39:44 2018

@author: Anna
"""

import sys
import csv
import pandas as pd


    
# Store input and output file names
ifile=''
ofile=''

ifile=''
if len(sys.argv) < 3:
     print("Usage: %s input output list of column numbers \n" % sys.argv[0])
else:
    ifile = sys.argv[1]
    ofile = sys.argv[2]
    cols = sys.argv[3:]
    print("Columns to be selected: ", cols)
    
    fileOut = open(ofile,"w")
    fileIn = open(ifile)
    lines = fileIn.readlines()

    nrows=0;
    
    for r in lines:
        row = r.strip().split(',')
        nrows+=1
        out_row=""
        first = True
        for c in cols:
            if first:
                out_row+=row[int(c)]
                first=False
            else:
                out_row+=','+row[int(c)]
        fileOut.write(out_row + "\n")
            
    print('Rows processed: ', nrows)
    fileIn.close()
    fileOut.close()
    


#alternative way using CSV 


    fileIn = open(ifile)
    fileOut = open("select-csv.csv","w")
    lines = csv.reader(fileIn, delimiter = ',')
    filewriter = csv.writer(fileOut, delimiter=';')
    nrows=0;

    for row in lines:
        nrows+=1
        out_row=[]
        first = True
        for c in cols:            
            out_row.append(row[int(c)])

        filewriter.writerow(out_row)
            
    print('Rows processed: ', nrows)
    fileIn.close()
    fileOut.close()



#PANDAS - DataFrame
    file = pd.read_csv(ifile)
    nrows=0;
    #print(len(file.columns))
    
    attList = file.columns
    out_attr = [] 
    for c in cols:
        out_attr.append(attList[int(c)])
    out_df = file[out_attr]
    print(out_df)
    
    out_df.to_csv("select-df.csv", sep=';', index=False)
    
    
    
    
    
        